Package org.apache.cayenne.map.event

## Class EmbeddableEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.cayenne.event.CayenneEvent
    - - org.apache.cayenne.map.event.MapEvent
      - - org.apache.cayenne.map.event.EmbeddableEvent

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `EmbeddableAttributeEvent`

      public class EmbeddableEvent
      extends MapEvent

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Embeddable` | `embeddable` |

    - ### Fields inherited from class org.apache.cayenne.map.event.MapEvent

      `ADD, CHANGE, domain, id, oldName, oldNameSet, REMOVE`

    - ### Fields inherited from class org.apache.cayenne.event.CayenneEvent

      `info, postedBy, subject`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EmbeddableEvent​(Object source, Embeddable embeddable)` |
    `EmbeddableEvent​(Object src, Embeddable embeddable2, int id)` |
    `EmbeddableEvent​(Object src, Embeddable embeddable2, String oldClassName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Embeddable` | `getEmbeddable()` |
    `String` | `getNewName()` | Returns the newName of the object that caused this event.
    `void` | `setEmbeddable​(Embeddable embeddable)` |

    - ### Methods inherited from class org.apache.cayenne.map.event.MapEvent

      `getDomain, getId, getOldName, isNameChange, setDomain, setId, setOldName`

    - ### Methods inherited from class org.apache.cayenne.event.CayenneEvent

      `getInfo, getPostedBy, getSubject, setPostedBy, setSubject`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### embeddable

          protected Embeddable embeddable

  - ### Constructor Detail

    - #### EmbeddableEvent

          public EmbeddableEvent​(Object source,
                                 Embeddable embeddable)

    - #### EmbeddableEvent

          public EmbeddableEvent​(Object src,
                                 Embeddable embeddable2,
                                 int id)

    - #### EmbeddableEvent

          public EmbeddableEvent​(Object src,
                                 Embeddable embeddable2,
                                 String oldClassName)

  - ### Method Detail

    - #### setEmbeddable

          public void setEmbeddable​(Embeddable embeddable)

    - #### getEmbeddable

          public Embeddable getEmbeddable()

    - #### getNewName

          public String getNewName()

      Description copied from class: `MapEvent`
      Returns the newName of the object that caused this event.
      Specified by:
        `getNewName` in class `MapEvent`